Bug 167806 - 3c59x - no support for ethtool
3c59x - no support for ethtool
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-08 08:59 EDT by Uwe Beck
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.9-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-28 14:43:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
jwltest-3c59x-2_6_12-rc2.patch (20.30 KB, patch)
2005-09-14 13:48 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Uwe Beck 2005-09-08 08:59:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.7.10-1.4.1

Description of problem:
The 3c59x kernel module does not support list or set parameters with ethtool.
It is relevant, if autonegotiation with the switch or hub do not work. Anaconda use ethtool during installation and the if you boot the system, initscripts use also ethtool for setting parameters.

# lsmod
3c59x   36585  0

# lspci   (only list on card version here)
00:0a.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
# lspci -v
00:0a.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
        Flags: bus master, medium devsel, latency 64, IRQ 5
        I/O ports at b000 [size=64]

# ethtool eth0
Settings for eth0:
No data available

# ethtool -s eth0 speed 100 duplex full autoneg off
Cannot get current device settings: Operation not supported
  not setting speed
  not setting duplex
  not setting autoneg

All version of this 3Com card (Boomerang, Cyclone, Tornado) have this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use a network card witch use the 3c59x kernel module
2. use ethtool to list or set the card options

Actual Results:  unable to change parameter for installation or in running system with ethtool

Expected Results:  ethtool should work with 3c59x kernel module

Additional info:

- this problem is also relevant for RHEL3
- only mii-tool work but this is not supported by anaconda and initscripts
Comment 3 John W. Linville 2005-09-14 13:48:21 EDT
Created attachment 118813 [details]
Comment 4 John W. Linville 2005-09-14 13:50:38 EDT
This functionality will be available in RHEL4 U2.  If you absolutely cannot 
wait for that, then either apply the patch above to your own kernel or try the 
test kernels available here: 

Note You need to log in before you can comment on or make changes to this bug.